
From: Domen Puncer <domen@coderock.org>

Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/apm.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/apm.c~arch-i386-kernel-apmc-fix-sparse-warnings arch/i386/kernel/apm.c
--- 25/arch/i386/kernel/apm.c~arch-i386-kernel-apmc-fix-sparse-warnings	2005-03-19 13:57:11.000000000 -0800
+++ 25-akpm/arch/i386/kernel/apm.c	2005-03-19 13:57:11.000000000 -0800
@@ -346,10 +346,10 @@ extern int (*console_blank_hook)(int);
 struct apm_user {
 	int		magic;
 	struct apm_user *	next;
-	int		suser: 1;
-	int		writer: 1;
-	int		reader: 1;
-	int		suspend_wait: 1;
+	unsigned int	suser: 1;
+	unsigned int	writer: 1;
+	unsigned int	reader: 1;
+	unsigned int	suspend_wait: 1;
 	int		suspend_result;
 	int		suspends_pending;
 	int		standbys_pending;
_
